#
# spec file for package perl-Crypt-DES
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Crypt-DES
Version:        2.07
Release:        6.4
%define cpan_name Crypt-DES
Summary:        Perl DES encryption module
License:        BSD-3-Clause
Group:          Development/Libraries/Perl
URL:            http://search.cpan.org/dist/Crypt-DES/
Source:         http://www.cpan.org/authors/id/D/DP/DPARIS/%{cpan_name}-%{version}.tar.gz
# fix build with gcc14
Patch0:         perl-Crypt-DES-gcc14.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
The module implements the Crypt::CBC interface, which has the following
methods

* blocksize
  =item keysize
  =item encrypt
  =item decrypt

%prep
%autosetup -p1 -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc COPYRIGHT README

%changelog
* Tue May  7 2024 pgajdos@suse.com
- added patches
  fix build with gcc14
  + perl-Crypt-DES-gcc14.patch
* Mon Jul 29 2013 cfarrell@suse.com
- license update: BSD-3-Clause
  See Copyright
* Sat Jul 27 2013 coolo@suse.com
- updated to 2.07
  SvUPGRADE was changed to a statement.
  a minor bug in META.yml was fixed.
- remove old svupgrade.patch
* Fri Jun 21 2013 coolo@suse.com
- add svupgrade.patch from RT#82943
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Nov 24 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fix deps
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan  3 2006 anicka@suse.cz
- update to 2.05
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Wed Aug 20 2003 ro@suse.de
- remove perl-Crypt-CBC from neededforbuild (not really used)
* Mon Jul 14 2003 mls@suse.de
- fix build
* Wed Jun  4 2003 mjancar@suse.cz
- use $RPM_OPT_FLAGS
- add missing prototypes
* Tue May 20 2003 mjancar@suse.cz
- remove unpackaged files
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Tue Mar 12 2002 jantos@suse.cz
- Package created
